## org.metaabm.impl
Class SStyle2DImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.metaabm.impl.IIDImpl
                      org.metaabm.impl.SNamedImpl
                          org.metaabm.impl.SAttributedImpl
                              org.metaabm.impl.SActableImpl
                                  org.metaabm.impl.SStyleImpl
                                      org.metaabm.impl.SStyle2DImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, IID, SActable, SAttributed, SImplemented, SNamed, SStyle, SStyle2D

Direct Known Subclasses:
  SStyleShapeImpl

    public class SStyle2DImpl

extends SStyleImpl
implements SStyle2D

An implementation of the model object ' SStyle2 D'.

Author:
  Miles Parker

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.metaabm.impl.SStyleImpl
`implementation`

Fields inherited from class org.metaabm.impl.SActableImpl
`rootActivity`

Fields inherited from class org.metaabm.impl.SAttributedImpl
`attributes`

Fields inherited from class org.metaabm.impl.SNamedImpl
`description, DESCRIPTION_EDEFAULT, PLURAL_LABEL_EDEFAULT, pluralLabel`

Fields inherited from class org.metaabm.impl.IIDImpl
`id, ID_EDEFAULT, label, LABEL_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `SStyle2DImpl()`

Method Summary
`SImplemented` `basicGetParent()`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`SAgent` `getParent()`

Methods inherited from class org.metaabm.impl.SStyleImpl
`basicSetAgent, basicSetImplementation, eBaseStructuralFeatureID, eBasicRemoveFromContainerFeature, eDerivedStructuralFeatureID, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getAgent, getImplementation, setAgent, setImplementation`

Methods inherited from class org.metaabm.impl.SActableImpl
`basicSetRootActivity, getRootActivity, references, setRootActivity`

Methods inherited from class org.metaabm.impl.SAttributedImpl
`findAttribute, getAttributes, isReachable`

Methods inherited from class org.metaabm.impl.SNamedImpl
`getDescription, getPluralLabel, setDescription, setID, setPluralLabel, toString`

Methods inherited from class org.metaabm.impl.IIDImpl
`getID, getLabel, setLabel`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.metaabm.SStyle
`getAgent, setAgent`

Methods inherited from interface org.metaabm.SActable
`getRootActivity, setRootActivity`

Methods inherited from interface org.metaabm.SAttributed
`findAttribute, getAttributes, isReachable`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.metaabm.SImplemented
`getImplementation, setImplementation`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SStyle2DImpl

    protected SStyle2DImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `SStyleImpl`

### getParent

    public SAgent getParent()

  Description copied from class: `SStyleImpl`

  Specified by:
    `getParent` in interface `SImplemented`
  Overrides:
    `getParent` in class `SStyleImpl`
  Returns:
    the value of the 'Parent' reference.
  See Also:
    `MetaABMPackage.getSImplemented_Parent()`

### basicGetParent

    public SImplemented basicGetParent()

  Overrides:
    `basicGetParent` in class `SStyleImpl`